Subject: Re: bug#60040: 29.0.50; flymake manual should document language support

From: Stefan Kangas <[email-masked]>
Date: Sun, 10 Sep 2023 12:11:55 -0700

João Távora <[email-masked]> writes:

> Also, given the advent of LSP, I think the trend is
> for Flymake to be chiefly useful when connected
> with something like Eglot.  Not exclusively so, but
> rather predominantly so.

I think you're completely right here, but this should be documented
prominently.  So I've installed commit 9549612c53d on emacs-29.

Feel free to tweak, extend, rewrite, or improve it.  It's very brief as
is, but I didn't know what more to say.  Unfortunately, there's not much
need for a lot of documentation when things just work.  ;-)

On a separate note, perhaps this note doesn't need to be on the first
page in Emacs 30.1:

       Historically, Flymake used to accept diagnostics from a single
    backend.  Although obsolete, it is still functional.  To learn how
    to use and customize it, *note The legacy Proc backend::.